name: Terraform Contabo IAC Apply

on:
  schedule:
    - cron: "0 1 * * 0"
  push:
    branches:
      - main
    paths:
      - "terraform/contabo-iac/**"
jobs:
  opentofu-apply:
    runs-on: ubuntu-latest

    steps:
      - name: Checkout repository
        uses: actions/checkout@v4
        with:
          fetch-depth: 0

      - name: Setup environment
        uses: ./.github/actions/setup-env

      - name: Setup OpenTofu environment
        uses: ./.github/actions/setup-opentofu-env

      - name: OpenTofu Init and Apply
        env:
          BW_PROJECT_ID: ${{ secrets.BW_PROJECT_ID }}
          BW_ORGANIZATION_ID: ${{ secrets.BW_ORGANIZATION_ID }}
          BW_ACCESS_TOKEN: ${{ secrets.BW_ACCESS_TOKEN }}
        run: |
          cd terraform/contabo-iac
          sectool -f ../../sectool.json exec tofu init
          sectool -f ../../sectool.json exec tofu apply --auto-approve
